Bug 151466 - New port: www/trac-TracGoogleAnalytics Trac plugin to enable logging by Google Analytics
Summary: New port: www/trac-TracGoogleAnalytics Trac plugin to enable logging by Googl...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-15 00:00 UTC by Douglas Thrift
Modified: 2010-12-09 15:00 UTC (History)
0 users

See Also:


Attachments
trac-TracGoogleAnalytics.shar (2.75 KB, text/plain)
2010-10-15 00:00 UTC, Douglas Thrift
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2010-10-15 00:00:22 UTC
Previously known as Google Analytics Plugin, this plugin will enable
your trac environment to be logged by Google Analytics.

It adds the necessary javascript code to log your environment, plus, it
also logs the downloads of regular filenames which end with a specific
extension; these extensions are defined by you; and also external links.

WWW: http://google.ufsoft.org/wiki/TracGoogleAnalytics
Comment 1 Olli Hauer freebsd_committer 2010-12-05 20:50:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-12-05 21:09:46 UTC
ohauer      2010-12-05 21:09:41 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/trac-TracGoogleAnalytics Makefile distinfo pkg-descr 
  Log:
  - new port trac-TracGoogleAnalytics
  
  Previously known as Google Analytics Plugin, this plugin will enable
  your trac environment to be logged by Google Analytics.
  
  It adds the necessary javascript code to log your environment, plus, it
  also logs the downloads of regular filenames which end with a specific
  extension; these extensions are defined by you; and also external links.
  
  WWW: http://google.ufsoft.org/wiki/TracGoogleAnalytics
  
  PR:             ports/151466
  Submitted by:   Douglas William Thrift <douglas _at_ douglasthrift.net>
  
  Revision  Changes    Path
  1.2764    +1 -0      ports/www/Makefile
  1.1       +26 -0     ports/www/trac-TracGoogleAnalytics/Makefile (new)
  1.1       +2 -0      ports/www/trac-TracGoogleAnalytics/distinfo (new)
  1.1       +8 -0      ports/www/trac-TracGoogleAnalytics/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Olli Hauer freebsd_committer 2010-12-05 21:15:23 UTC
State Changed
From-To: open->closed

Commited with updated version (0.2.4) 
Thanks.
Comment 4 dfilter service freebsd_committer 2010-12-08 18:12:39 UTC
ohauer      2010-12-08 18:12:34 UTC

  FreeBSD ports repository

  Modified files:
    www/trac-TracGoogleAnalytics Makefile 
  Log:
   - unbreak build (RUN_DEPENDS => BUILD_DEPENDS)
  
     Followup for PR ports/151466
  
  PR:             ports/151466
  
  Revision  Changes    Path
  1.2       +1 -1      ports/www/trac-TracGoogleAnalytics/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Douglas Thrift 2010-12-09 00:47:32 UTC
Hello,

Thanks for fixing the build error. However, I think that RUN_DEPENDS is
still needed:

BUILD_DEPENDS=	tracd:${PORTSDIR}/www/trac
RUN_DEPENDS:=	${BUILD_DEPENDS}

Could you change it to that?

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 6 dfilter service freebsd_committer 2010-12-09 14:55:28 UTC
glarkin     2010-12-09 14:55:23 UTC

  FreeBSD ports repository

  Modified files:
    www/trac-TracGoogleAnalytics Makefile 
  Log:
  - Re-added RUN_DEPENDS
  - Bumped PORTREVISION
  
  Follow-up to PR ports/151466
  
  PR:             ports/151466
  Requested by:   ohauer via email
  Reported by:    Douglas William Thrift <douglas at douglasthrift dot net> (maintainer)
  
  Revision  Changes    Path
  1.3       +2 -0      ports/www/trac-TracGoogleAnalytics/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"